Skip to content

Voice Tone Quick Clone

POST https://www.kkiai.com/minimax/v1/voice_clone

https://platform.minimaxi.com/docs/api-reference/voice-cloning-clone
Uploaded audio file formats must be: mp3, m4a, wav
Uploaded audio file duration must be at least 10 seconds and no longer than 5 minutes
Uploaded audio file size must not exceed 20 MB
If this parameter is used, both sub-properties (prompt_audio, prompt_text) are required

Request Parameters

Authorization

Add the Authorization parameter in the Header, with the value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Body Parameters (application/json)

ParameterTypeRequiredDescription
file_idintegerRequiredThe file_id of the audio to be cloned, obtained through the file upload interface. Audio requirements: mp3/m4a/wav format, 10 seconds-5 minutes, <20MB
voice_idstringRequiredCustom voice ID (length 8-256, first character must be a letter, allows digits/letters/-/, last character cannot be -/)
clone_promptobjectOptionalSample audio object to enhance similarity and stability
  └ prompt_audiointegerRequired
  └ prompt_textstringRequired
textstringOptionalClone preview text (limited to 1000 characters, supports tone tags)
modelstringOptionalSpeech model used for preview audio: speech-2.6-hd, speech-2.6-turbo, speech-02-hd, speech-02-turbo
language_booststringOptionalEnhance recognition ability for specified language/dialect. Can be set to auto for automatic detection, or specify a specific language
need_noise_reductionbooleanOptional
need_volume_normalizationbooleanOptional
aigc_watermarkbooleanOptionalWhether to add audio rhythm identifier at the end of the preview audio

Request Example

json
{
  "file_id": 365182159339614,
  "voice_id": "MyCustomVoice003",
  "clone_prompt": {
    "prompt_audio": 987654321,
    "prompt_text": "This voice sounds natural and pleasant."
  },
  "text": "A gentle breeze sweeps across the soft grass(breath), carrying the fresh scent along with the songs of birds.",
  "model": "speech-2.8-hd",
  "language_boost": "English",
  "need_noise_reduction": true,
  "need_volume_normalization": true,
  "aigc_watermark": false
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/minimax/v1/voice_clone' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "file_id": 365182159339614,
  "voice_id": "MyCustomVoice003",
  "clone_prompt": {
    "prompt_audio": 987654321,
    "prompt_text": "This voice sounds natural and pleasant."
  },
  "text": "A gentle breeze sweeps across the soft grass(breath), carrying the fresh scent along with the songs of birds.",
  "model": "speech-2.8-hd",
  "language_boost": "English",
  "need_noise_reduction": true,
  "need_volume_normalization": true,
  "aigc_watermark": false
}'

Response

🟢 200 Success

Response Example

json
{}